org.apache.lucene.analysis.sinks

## Class TeeSinkTokenFilter.SinkTokenStream

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.sinks.TeeSinkTokenFilter.SinkTokenStream

All Implemented Interfaces:
  Closeable, AutoCloseable

Enclosing class:
  TeeSinkTokenFilter

    public static final class TeeSinkTokenFilter.SinkTokenStream
    extends TokenStream

TokenStream output from a tee with optional filtering.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Method Summary

Methods
`void` `end()`
`boolean` `incrementToken()`
`void` `reset()`

### Methods inherited from class org.apache.lucene.analysis.TokenStream

`close`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### incrementToken

    public final boolean incrementToken()

Specified by:
  `incrementToken` in class `TokenStream`

#### end

    public final void end()

Overrides:
  `end` in class `TokenStream`

#### reset

    public final void reset()

Overrides:
  `reset` in class `TokenStream`